Bug 1907876 - Refactoring record package to make gatherer configurable
Summary: Refactoring record package to make gatherer configurable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Insights Operator
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Marcell Sevcsik
QA Contact: psimovec
URL:
Whiteboard:
Depends On:
Blocks: 1932775
TreeView+ depends on / blocked
 
Reported: 2020-12-15 12:34 UTC by Marcell Sevcsik
Modified: 2021-02-25 08:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: The record package refactored to be more configurable and future proof. Also the insights operator can be configured to only gather a select few info. Reason: The record and clusterconfig package was to closely coupled and the responsibilities were all mixed up, causing it to be hard to work with and extend. Result: The record package is refactored to be more configurable and future proof. Also the insights operator can now be configured to only gather a select few info.
Clone Of:
: 1932775 (view as bug list)
Environment:
Last Closed: 2021-02-24 15:44:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift insights-operator pull 279 0 None closed Bug 1907876: Refactoring record and gatherer 2021-01-11 12:08:46 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:44:56 UTC

Description Marcell Sevcsik 2020-12-15 12:34:33 UTC
Description of problem:

The record package is currently is the place where the gather-functions are actually run and it also responsible for storing the output. This is to much responsibility for one component and we have the Gatherer which only collects the gather-functions but not actually runs them.

So the recordpackage should only care about the storing of the data and not actually creating it, and the Gatherer should be responsible for managing the the gather-functions. (by managing I mean: deciding which to run, handling errors for gathering, [in the future] syncing up the multi-threaded workloads of the gather-functions)

This will allow us to have greater control over how the gathering is done, and will simplify the code base.

Also insightsclient is somewhat linked to GatherClusterVersion, it undoes this link.

Furthermore makes the gathering configurable via the yaml config.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 psimovec 2021-01-13 15:47:57 UTC
Documentation in the PR describes how to configure gathering via yaml config with local IO. I understand it as there need to be other steps to utilize it in/use it in support config.

Comment 5 errata-xmlrpc 2021-02-24 15:44:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.